//*****************************************
// Graphic OLED Test Program ATMega328
// CPU Clock:Internal 8MHz
//   iq[Yf[^@WȂŁAUWlgȏɂj
// File Name:Mega_twi_h.h
//  wb_[t@C
//
//  2012/06/13 ishi New
//  2023/03/07 Modify for mega328_i2c_old Taishi
//*****************************************

enum twi_req_status {
		TWI_START = 0,
		TWI_DATA,
		TWI_DATA_ACK,
		TWI_STOP
	};


#define ACK 1
#define NACK 0

extern	unsigned char	gTwi_status;

extern	void			twi_init(void);
extern	unsigned char	twi_start(unsigned int dev_addr, unsigned char rw_type);
extern	void 			twi_stop(void);
extern	unsigned char	twi_write(unsigned char data);
extern	unsigned char	twi_read(unsigned char *data,char ack_type);

